{
  "name": "keyboardplaying.org",
  "version": "2.0.0-beta",
  "description": "The sources for the keyboardplaying.org website",
  "private": true,
  "type": "module",
  "author": "Cyrille Chopelet",
  "license": "ISC",
  "homepage": "https://gitlab.com/keyboardplaying/website/keyboardplaying.org#readme",
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/keyboardplaying/website/keyboardplaying.org.git"
  },
  "bugs": {
    "url": "https://gitlab.com/keyboardplaying/website/keyboardplaying.org/issues"
  },
  "hugo-bin": {
    "buildTags": "extended"
  },
  "browserslist": [
    "defaults"
  ],
  "scripts": {
    "lint": "npm run lint:format && npm run lint:scripts && npm run lint:stylesheets",
    "lint:format": "prettier --check --editorconfig .",
    "lint:scripts": "eslint \"**/*.js\"",
    "lint:stylesheets": "stylelint \"**/*.scss\"",
    "autofix": "npm run autofix:format && npm run autofix:scripts && npm run autofix:stylesheets",
    "autofix:format": "prettier --write --editorconfig .",
    "autofix:scripts": "eslint --fix \"**/*.js\"",
    "autofix:stylesheets": "stylelint --fix \"**/*.scss\"",
    "assets:svg": "svg-sprite --symbol --symbol-dest=themes --symbol-sprite=kp-v2/static/assets/icons.svg --log=info themes/kp-v2/assets/svg/icons/*.svg",
    "prestart": "npm run assets:svg",
    "start": "hugo server -w --logLevel info --printI18nWarnings",
    "preview": "npm start -- -D -F",
    "prebuild": "rimraf dist",
    "build": "npm run assets:svg && npm run build:hugo",
    "build:hugo": "hugo -d dist --minify --logLevel info --printI18nWarnings --gc",
    "postbuild": "rimraf 'dist/**/*_@(20x0|0x20)_*.@(jpg|png|gif)'",
    "beta": "npm run assets:svg && npm run beta:hugo && npm run postbuild",
    "beta:hugo": "npm run build:hugo -- -F -e beta"
  },
  "devDependencies": {
    "@fullhuman/postcss-purgecss": "5.0.0",
    "autoprefixer": "10.4.16",
    "cssnano": "6.0.1",
    "eslint": "8.50.0",
    "eslint-config-prettier": "9.0.0",
    "hugo-bin": "0.114.2",
    "normalize.css": "8.0.1",
    "postcss": "8.4.30",
    "postcss-cli": "10.1.0",
    "prettier": "3.0.3",
    "rimraf": "5.0.1",
    "stylelint": "15.10.3",
    "stylelint-config-property-sort-order-smacss": "9.1.0",
    "stylelint-config-sass-guidelines": "10.0.0",
    "stylelint-order": "6.0.3",
    "svg-sprite": "2.0.2"
  }
}
